Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler.wss4j
Class RSAAlgorithmHelper

    java.lang.Object
      be.ehealth.technicalconnector.handler.wss4j.RSAAlgorithmHelper

All Implemented Interfaces:
  AlgorithmHelper

    public class RSAAlgorithmHelper

extends Object
implements AlgorithmHelper

Field Summary
`static String` | `PROP_DEFAULT_DIGEST_ALGO`
`static String` | `PROP_DEFAULT_SIGNATURE_ALGO`

Constructor Summary
`RSAAlgorithmHelper()`

Method Summary
`boolean` | `canHandle(Credential cred)`
`String` | `determineDigestAlgo(Credential cred)`
`String` | `determineSignatureAlgorithm(Credential cred)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_DEFAULT_DIGEST_ALGO

    public static final String PROP_DEFAULT_DIGEST_ALGO

See Also:
  Constant Field Values

### PROP_DEFAULT_SIGNATURE_ALGO

    public static final String PROP_DEFAULT_SIGNATURE_ALGO

See Also:
  Constant Field Values

Constructor Detail

### RSAAlgorithmHelper

    public RSAAlgorithmHelper()

Method Detail

### canHandle

    public boolean canHandle(Credential cred)

  Specified by:
    `canHandle` in interface `AlgorithmHelper`

### determineDigestAlgo

    public String determineDigestAlgo(Credential cred)

  Specified by:
    `determineDigestAlgo` in interface `AlgorithmHelper`

### determineSignatureAlgorithm

    public String determineSignatureAlgorithm(Credential cred)

  Specified by:
    `determineSignatureAlgorithm` in interface `AlgorithmHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.